Games

Games are… well games we support. Each Game has an id, name, some settings, maps and map pools.

API Endpoint:
https://api.mapban.gg/v1/games

Get all games

This request is used in order to get all games we support.

GET: https://api.mapban.gg/v1/games

Response Example:
Array with ids and Names of all supported games.

{
    "games": [
        {
            "id": "csgo",
            "name": "Counter Strike Global Offensive",
            "image": "https://www.mapban.gg/images/games/csgo.png"
        },
        {
            "id": "r6s",
            "name": "Rainbow Six Siege",
            "image": "https://www.mapban.gg/images/games/r6s.png"
        }
    ]
}

Maps

Information about a supported map or all supported maps of a game.

API Endpoint:
https://api.mapban.gg/v1/games/<gameId>/maps

Get all maps of a game

This request is used to get all supported maps of a game.

GET:
https://api.mapban.gg/v1/games/<gameId>/maps

Response Example:
Array with ids, names, shortNames and images of all supported maps of a game.

{
    "maps": [
        {
            "id": "bank",
            "name": "Bank",
            "shortName": "Bank",
            "image": "https://www.mapban.gg/images/maps/r6s/bank.jpg"
        },
        {
            "id": "bartlett",
            "name": "Bartlett University",
            "shortName": "Bartlett",
            "image": "https://www.mapban.gg/images/maps/r6s/bartlett.jpg"
        }
    ]
}

Get map of a game

This request is used to get information about a map of a game.

GET:
https://api.mapban.gg/v1/games/<gameId>/maps/<mapId>

Response Example:
Array with ids, names, shortNames and images of all supported maps of a game.

{
    "id": "border",
    "name": "Border",
    "shortName": "Border",
    "image": "https://www.mapban.gg/images/maps/r6s/border.jpg"
}

Map pools

Information about a supported map pool or all supported map pools of a game.

API Endpoint:
https://api.mapban.gg/v1/games/<gameId>/mappools

Get all map pools of a game

This request is used to get all supported mappools of a game.

GET:
https://api.mapban.gg/v1/games/<gameId>/mappools

Response Example:
Array with id, names and an array with all mapIds of all supported map pools of a game.

{
    "mappools": [
        {
            "id": "esl",
            "name": "ESL",
            "mapIds": [
                "bank",
                "border",
                "club_house",
                "coastline",
                "consulate",
                "oregon",
                "villa"
            ]
        },
        {
            "id": "ranked",
            "name": "Ranked",
            "mapIds": [
                "bank",
                "border",
                "chalet",
                "club_house",
                "coastline",
                "consulate",
                "hereford",
                "fortress",
                "dostoyevsky",
                "oregon",
                "skyscraper",
                "theme",
                "villa"
            ]
        }
    ]
}

Get map pool of a game

This request is used to get all supported mappools of a game.

GET:
https://api.mapban.gg/v1/games/<gameId>/mappools/<mappoolId>

Response Example:
id, names and an array with all mapIds of the mappool.

{
    "id": "esl",
    "name": "ESL",
    "mapIds": [
        "bank",
        "border",
        "club_house",
        "coastline",
        "consulate",
        "oregon",
        "villa"
    ]
}

Vote order

Information about possible voteorders of a game.

API Endpoint:
https://api.mapban.gg/v1/games/<gameId>/voteorder

Get default voteorder

This request is used to get all possible default vote orders of a game, while consindering the amout of maps and best of.

GET:
https://api.mapban.gg/v1/games/<gameId>/voteorder/<bestOf>/<MapCount>

Response Example:
Array with id (array key), name, description and an array of the actual Vote order. We will also give you a Variable called recommendedVoteOrder, this is the recommended id for the game, best of and mapcount.
We normally will use recommendedVoteOrder internally to identify which vote order a lobby will receive when it’s created.

{
    "voteOrders": {
        "0": {
            "name": "Ban until 3 maps left",
            "description": "Each Team will ban a map until 3 Maps are left. Team A will start Banning and picking. Last map will be Decider. In case of a even map pool decider will be randomly picked out of the last 2 Maps.",
            "voteorder": [
                "Ban1",
                "Ban2",
                "Ban1",
                "Ban2",
                "Pick1",
                "Pick2",
                "Decider"
            ]
        },
        "2": {
            "name": "Ban until 5 Maps left",
            "description": "Each Team will ban a map until 5 Maps are left. Team 1 will start Banning and picking. Decider will be randomly picked from the remaining 3 maps. In case of a even map pool Decider will be randomly picked out of the last 4 maps.",
            "voteorder": [
                "Ban1",
                "Ban2",
                "Pick1",
                "Pick2",
                "Decider"
            ]
        },
        "3": {
            "name": "Ban, Pick, Ban until Decider",
            "description": "Each Team will ban 1 Map and then directly pick the maps they want to play. After This they will ban until the Decider Map.",
            "voteorder": [
                "Ban1",
                "Ban2",
                "Pick1",
                "Pick2",
                "Ban1",
                "Ban2",
                "Decider"
            ]
        }
    },
    "recommendedVoteOrder": 0
}